CREATE TABLE andutteye_man_bundles (
  seqnr int(11) NOT NULL auto_increment,
  bundle varchar(255) default NULL,
  package varchar(255) default NULL,
  version varchar(255) default NULL,
  release varchar(255) default NULL,
  PRIMARY KEY  (seqnr)
) TYPE=MyISAM;
CREATE TABLE andutteye_man_bundlestatus (
  seqnr int(11) NOT NULL auto_increment,
  bundle varchar(255) default NULL,
  status varchar(255) default NULL,
  dte varchar(255) default NULL,
  tme varchar(255) default NULL,
  changer varchar(255) default NULL,
  log blob default NULL,
  PRIMARY KEY  (seqnr)
) TYPE=MyISAM;
CREATE TABLE andutteye_man_choosenbundles (
  seqnr int(11) NOT NULL auto_increment,
  hostname varchar(255) default NULL,
  bundlename blob default NULL,
  status varchar(255) default NULL,
  PRIMARY KEY  (seqnr)
) TYPE=MyISAM;
CREATE TABLE andutteye_man_choosenpackages (
  seqnr int(11) NOT NULL auto_increment,
  hostname varchar(255) default NULL,
  actiontype varchar(255) default NULL,
  package blob default NULL,
  version varchar(255) default NULL,
  release varchar(255) default NULL,
  distribution varchar(255) default NULL,
  packagetype varchar(255) default NULL,
  location blob default NULL,
  patchlevel varchar(255) default NULL,
  status varchar(255) default NULL,
  PRIMARY KEY  (seqnr)
) TYPE=MyISAM;
CREATE TABLE andutteye_man_clientlog (
  seqnr int(11) NOT NULL auto_increment,
  hostname varchar(255) default NULL,
  dte varchar(255) default NULL,
  tme varchar(255) default NULL,
  log blob default NULL,
  PRIMARY KEY  (seqnr)
) TYPE=MyISAM;
CREATE TABLE andutteye_man_files (
  seqnr int(11) NOT NULL auto_increment,
  filename blob default NULL,
  directory blob default NULL,
  location blob default NULL,
  content blob default NULL,
  distribution varchar(255) default NULL,
  version varchar(255) default NULL,
  group1 blob default NULL,
  group2 blob default NULL,
  group3 blob default NULL,
  group4 blob default NULL,
  prestep blob default NULL,
  poststep blob default NULL,
  perms varchar(255) default NULL,
  crtuser varchar(255) default NULL,
  dte varchar(255) default NULL,
  tme varchar(255) default NULL,
  PRIMARY KEY  (seqnr)
) TYPE=MyISAM;
CREATE TABLE andutteye_man_heartbeat (
  seqnr int(11) NOT NULL auto_increment,
  hostname varchar(255) default NULL,
  dte varchar(255) default NULL,
  tme varchar(255) default NULL,
  type varchar(255) default NULL,
  status varchar(255) default NULL,
  PRIMARY KEY  (seqnr)
) TYPE=MyISAM;
CREATE TABLE andutteye_man_packages (
  seqnr int(11) NOT NULL auto_increment,
  package blob default NULL,
  version varchar(255) default NULL,
  release varchar(255) default NULL,
  distribution varchar(255) default NULL,
  packagetype varchar(255) default NULL,
  location blob default NULL,
  patchlevel varchar(255) default NULL,
  status varchar(255) default NULL,
  PRIMARY KEY  (seqnr)
) TYPE=MyISAM;
CREATE TABLE andutteye_man_patchlevel (
  seqnr int(11) NOT NULL auto_increment,
  distribution varchar(255) default NULL,
  patchlevel varchar(255) default NULL,
  status varchar(255) default NULL,
  dte varchar(255) default NULL,
  tme varchar(255) default NULL,
  changer varchar(255) default NULL,
  log blob default NULL,
  PRIMARY KEY  (seqnr)
) TYPE=MyISAM;
CREATE TABLE andutteye_man_serverlog (
  seqnr int(11) NOT NULL auto_increment,
  hostname varchar(255) default NULL,
  dte varchar(255) default NULL,
  tme varchar(255) default NULL,
  aetype varchar(255) default NULL,
  log blob default NULL,
  PRIMARY KEY  (seqnr)
) TYPE=MyISAM;
CREATE TABLE andutteye_man_specification (
  seqnr int(11) NOT NULL auto_increment,
  hostname varchar(255) default NULL,
  packagetype varchar(255) default NULL,
  distribution varchar(255) default NULL,
  patchlevel varchar(255) default NULL,
  aegroup varchar(255) default NULL,
  location varchar(255) default NULL,
  archtype varchar(255) default NULL,
  description blob default NULL,
  status varchar(255) default NULL,
  exclude blob default NULL,
  packages blob default NULL,
  bundles blob default NULL,
  allowrpmupdate varchar(255) default NULL,
  allowconfigupdate varchar(255) default NULL,
  allowsyslog varchar(255) default NULL,
  email blob default NULL,
  version varchar(255) default NULL,
  lastupdatedof varchar(255) default NULL,
  lastupdatedte varchar(255) default NULL,
  lastupdatedtme varchar(255) default NULL,
  PRIMARY KEY  (seqnr)
) TYPE=MyISAM;
CREATE TABLE andutteye_roles (
  seqnr int(11) NOT NULL auto_increment,
  rolename varchar(255) default NULL,
  hostname varchar(255) default NULL,
  description varchar(255) default NULL,
  monitoring varchar(255) default NULL,
  management varchar(255) default NULL,
  status varchar(255) default NULL,
  PRIMARY KEY  (seqnr)
) TYPE=MyISAM;
CREATE TABLE andutteye_chg_changes (
  seqnr int(11) NOT NULL auto_increment,
  hostname varchar(255) default NULL,
  description varchar(255) default NULL,
  information blob default NULL,
  solution blob default NULL,
  workaround blob default NULL,
  severity varchar(255) default NULL,
  externalsys blob default NULL,
  alarmid varchar(255) default NULL,
  username varchar(255) default NULL,
  crtdte varchar(255) default NULL,
  crttme varchar(255) default NULL,
  PRIMARY KEY  (seqnr)
) TYPE=MyISAM;
drop table andutteye_permissions;
insert into andutteye_webbconfig(configname,configparam) values ('SHOWMONITORING','YES');
insert into andutteye_webbconfig(configname,configparam) values ('SHOWMANAGEMENT','YES');
alter table andutteye_users add column hasrole varchar(255) default NULL;
delete from andutteye_webbconfig where configname = 'ALLOWGUESTVIEW';
delete from andutteye_webbconfig where configname = 'HIDEIFNOTWRITEBLE';
create index status_index on andutteye_alarm (status);
create index messagetype_index on andutteye_serverlog (messagetype);
create index hostname_index on andutteye_snapshot (hostname);
create index hostname_index on andutteye_software (hostname);
create index hostnametranslate_index on andutteye_syslogmessages (hostnametranslate);
create index version_index on andutteye_man_specification (version);
create index version_index on andutteye_man_files (version);
create index distribution_index on andutteye_man_packages (distribution);
create index hostname_index on andutteye_man_serverlog (hostname);
create index aetype_index on andutteye_man_serverlog (aetype);

