CREATE TABLE andutteye_alarm (
  seqnr int(11) NOT NULL auto_increment,
  hostname varchar(255) default NULL,
  getdate varchar(255) default NULL,
  gettime varchar(255) default NULL,
  shortinformation varchar(255) default NULL,
  longinformation blob,
  repeatcount varchar(255) default NULL,
  status varchar(255) default NULL,
  severity varchar(255) default NULL,
  lastdate VARCHAR(255) default NULL,
  lasttime VARCHAR(255) default NULL,
  closedby VARCHAR(255) default NULL,
  monitor VARCHAR(255) default NULL,
  monitortype VARCHAR(255) default NULL,
  PRIMARY KEY  (seqnr)
) TYPE=MyISAM;
CREATE TABLE andutteye_config (
  seqnr int(11) NOT NULL auto_increment,
  server varchar(255) default NULL,
  port numeric(10) default NULL,
  getdate varchar(255) default NULL,
  gettime varchar(255) default NULL,
  type varchar(255) default NULL,
  aeversion varchar(255) default NULL,
  aeversion2 varchar(255) default NULL,
  PRIMARY KEY  (seqnr)
) TYPE=MyISAM;

insert into andutteye_config(server,port,getdate,gettime,type,aeversion) values ('NOTSET','NOTSET','NOTSET','NOTSET','NOTSET','NOTSET');
CREATE TABLE andutteye_faq (
  seqnr int(11) NOT NULL auto_increment,
  hostname varchar(255) default NULL,
  getdate varchar(255) default NULL,
  gettime varchar(255) default NULL,
  shortinformation varchar(255) default NULL,
  longinformation varchar(255) default NULL,
  solution blob,
  PRIMARY KEY  (seqnr)
) TYPE=MyISAM;
CREATE TABLE andutteye_filter (
  seqnr int(11) NOT NULL auto_increment,
  hostname varchar(255) default NULL,
  original_message varchar(255) default NULL,
  filter_message varchar(255) default NULL,
  PRIMARY KEY  (seqnr)
) TYPE=MyISAM;
CREATE TABLE andutteye_heartbeat (
  seqnr int(11) NOT NULL auto_increment,
  hostname varchar(255) default NULL,
  getdate varchar(255) default NULL,
  gettime varchar(255) default NULL,
  type varchar(255) default NULL,
  status blob,
  PRIMARY KEY  (seqnr)
) TYPE=MyISAM;
CREATE TABLE andutteye_hostinfo (
  seqnr int(11) NOT NULL auto_increment,
  hostname varchar(255) default NULL,
  getdate varchar(255) default NULL,
  gettime varchar(255) default NULL,
  type varchar(255) default NULL,
  aeversion varchar(255) default NULL,
  nrprocesses numeric(10) default NULL,
  nrfilesystems numeric(10) default NULL,
  memusage varchar(255) default NULL,
  cpuusage varchar(255) default NULL,
  nrusers varchar(255) default NULL,
  uptime varchar(255) default NULL,
  clientversion varchar(255) default NULL,
  macadress varchar(255) default NULL,
  ipadress varchar(255) default NULL,
  distribution varchar(255) default NULL,
  computerclass varchar(255) default NULL,
  computerdescription varchar(255) default NULL,
  swapusage varchar(255) default NULL,
  cpumodel varchar(255) default NULL,
  PRIMARY KEY  (seqnr)
) TYPE=MyISAM;
CREATE TABLE andutteye_hoststatistic (
  seqnr int(11) NOT NULL auto_increment,
  hostname varchar(255) default NULL,
  getdate varchar(255) default NULL,
  gettime varchar(255) default NULL,
  type varchar(255) default NULL,
  aeversion varchar(255) default NULL,
  nrprocesses numeric(10) default NULL,
  nrfilesystems numeric(10) default NULL,
  memusage varchar(255) default NULL,
  cpuusage varchar(255) default NULL,
  nrusers varchar(255) default NULL,
  uptime varchar(255) default NULL,
  clientversion varchar(255) default NULL,
  macadress varchar(255) default NULL,
  ipadress varchar(255) default NULL,
  distribution varchar(255) default NULL,
  computerclass varchar(255) default NULL,
  computerdescription varchar(255) default NULL,
  swapusage varchar(255) default NULL,
  PRIMARY KEY  (seqnr)
) TYPE=MyISAM;
CREATE TABLE andutteye_klientconfig (
  seqnr int(11) NOT NULL auto_increment,
  updatestatus varchar(255) default NULL,
  updatedate varchar(255) default NULL,
  hostname varchar(255) default NULL,
  getdate varchar(255) default NULL,
  gettime varchar(255) default NULL,
  andutteyeserver varchar(255) default NULL,
  andutteyeport varchar(255) default NULL,
  andutteyesleeptime numeric(10) default NULL,
  tellsyslog varchar(255) default NULL,
  andutteyeinstalldir varchar(255) default NULL,
  andutteyeFS blob default NULL,
  andutteyePS blob default NULL,
  andutteyeEVERY blob default NULL,
  andutteyeFM blob default NULL,
  andutteyeFT blob default NULL,
  andutteyePH blob default NULL,
  systeminformation blob default NULL,
  max_loadaverege blob default NULL,
  max_memusage blob default NULL,
  max_swapusage blob default NULL,
  software_monitoring varchar(255) default NULL,
  use_ssl_communication varchar(255) default NULL,
  autoclose_alarms varchar(255) default NULL,
  smtpserver varchar(255) default NULL,
  PRIMARY KEY  (seqnr)
) TYPE=MyISAM;
CREATE TABLE andutteye_man_bundles (
  seqnr int(11) NOT NULL auto_increment,
  bundle varchar(255) default NULL,
  aepackage varchar(255) default NULL,
  aeversion varchar(255) default NULL,
  aerelease varchar(255) default NULL,
  PRIMARY KEY  (seqnr)
) TYPE=MyISAM;
CREATE TABLE andutteye_man_bundlestatus (
  seqnr int(11) NOT NULL auto_increment,
  bundle varchar(255) default NULL,
  status varchar(255) default NULL,
  dte varchar(255) default NULL,
  tme varchar(255) default NULL,
  changer varchar(255) default NULL,
  log blob default NULL,
  PRIMARY KEY  (seqnr)
) TYPE=MyISAM;
CREATE TABLE andutteye_man_clientlog (
  seqnr int(11) NOT NULL auto_increment,
  hostname varchar(255) default NULL,
  dte varchar(255) default NULL,
  tme varchar(255) default NULL,
  log blob default NULL,
  PRIMARY KEY  (seqnr)
) TYPE=MyISAM;
CREATE TABLE andutteye_man_files (
  seqnr int(11) NOT NULL auto_increment,
  filename blob default NULL,
  directory blob default NULL,
  location blob default NULL,
  content blob default NULL,
  distribution varchar(255) default NULL,
  aeversion varchar(255) default NULL,
  group1 blob default NULL,
  group2 blob default NULL,
  group3 blob default NULL,
  group4 blob default NULL,
  prestep blob default NULL,
  poststep blob default NULL,
  perms varchar(255) default NULL,
  crtuser varchar(255) default NULL,
  dte varchar(255) default NULL,
  tme varchar(255) default NULL,
  PRIMARY KEY  (seqnr)
) TYPE=MyISAM;
CREATE TABLE andutteye_man_heartbeat (
  seqnr int(11) NOT NULL auto_increment,
  hostname varchar(255) default NULL,
  dte varchar(255) default NULL,
  tme varchar(255) default NULL,
  type varchar(255) default NULL,
  status varchar(255) default NULL,
  PRIMARY KEY  (seqnr)
) TYPE=MyISAM;
CREATE TABLE andutteye_man_packages (
  seqnr int(11) NOT NULL auto_increment,
  aepackage blob default NULL,
  aeversion varchar(255) default NULL,
  aerelease varchar(255) default NULL,
  distribution varchar(255) default NULL,
  packagetype varchar(255) default NULL,
  location blob default NULL,
  patchlevel varchar(255) default NULL,
  status varchar(255) default NULL,
  PRIMARY KEY  (seqnr)
) TYPE=MyISAM;
CREATE TABLE andutteye_man_patchlevel (
  seqnr int(11) NOT NULL auto_increment,
  distribution varchar(255) default NULL,
  patchlevel varchar(255) default NULL,
  status varchar(255) default NULL,
  dte varchar(255) default NULL,
  tme varchar(255) default NULL,
  changer varchar(255) default NULL,
  log blob default NULL,
  PRIMARY KEY  (seqnr)
) TYPE=MyISAM;
CREATE TABLE andutteye_man_serverlog (
  seqnr int(11) NOT NULL auto_increment,
  hostname varchar(255) default NULL,
  dte varchar(255) default NULL,
  tme varchar(255) default NULL,
  aetype varchar(255) default NULL,
  log blob default NULL,
  PRIMARY KEY  (seqnr)
) TYPE=MyISAM;
CREATE TABLE andutteye_man_specification (
  seqnr int(11) NOT NULL auto_increment,
  hostname varchar(255) default NULL,
  packagetype varchar(255) default NULL,
  distribution varchar(255) default NULL,
  patchlevel varchar(255) default NULL,
  aegroup varchar(255) default NULL,
  location varchar(255) default NULL,
  archtype varchar(255) default NULL,
  description blob default NULL,
  status varchar(255) default NULL,
  exclude blob default NULL,
  packages blob default NULL,
  bundles blob default NULL,
  allowrpmupdate varchar(255) default NULL,
  allowconfigupdate varchar(255) default NULL,
  allowsyslog varchar(255) default NULL,
  email blob default NULL,
  aeversion varchar(255) default NULL,
  lastupdatedof varchar(255) default NULL,
  lastupdatedte varchar(255) default NULL,
  lastupdatedtme varchar(255) default NULL,
  PRIMARY KEY  (seqnr)
) TYPE=MyISAM;
CREATE TABLE andutteye_roles (
  seqnr int(11) NOT NULL auto_increment,
  rolename varchar(255) default NULL,
  hostname varchar(255) default NULL,
  description varchar(255) default NULL,
  monitoring varchar(255) default NULL,
  management varchar(255) default NULL,
  status varchar(255) default NULL,
  PRIMARY KEY  (seqnr)
) TYPE=MyISAM;
CREATE TABLE andutteye_serverlog (
  seqnr int(11) NOT NULL auto_increment,
  getdate varchar(255) default NULL,
  gettime varchar(255) default NULL,
  messagetype varchar(255) default NULL,
  logentry blob default NULL,
  hostname varchar(255) default NULL,
  PRIMARY KEY  (seqnr)
) TYPE=MyISAM;
CREATE TABLE andutteye_snapshot (
  seqnr int(11) NOT NULL auto_increment,
  hostname varchar(255) default NULL,
  getdate varchar(255) default NULL,
  gettime varchar(255) default NULL,
  type varchar(255) default NULL,
  fs blob default NULL,
  procs blob default NULL,
  net blob default NULL,
  hardware blob default NULL,
  users blob default NULL,
  PRIMARY KEY  (seqnr)
) TYPE=MyISAM;
CREATE TABLE andutteye_software (
  seqnr int(11) NOT NULL auto_increment,
  hostname varchar(255) default NULL,
  aepackage varchar(255) default NULL,
  packagetype varchar(255) default NULL,
  aeversion varchar(255) default NULL,
  aerelease varchar(255) default NULL,
  status varchar(255) default NULL,
  dateinserted varchar(255) default NULL,
  datereported varchar(255) default NULL,
  PRIMARY KEY  (seqnr)
) TYPE=MyISAM;
CREATE TABLE andutteye_syslogconf (
  seqnr int(11) NOT NULL auto_increment,
  hostname varchar(255) default NULL,
  hostnametranslate varchar(255) default NULL,
  actiontype varchar(255) default NULL,
  actionvalue blob default NULL,
  message blob default NULL,
  severity varchar(255) default NULL,
  PRIMARY KEY  (seqnr)
) TYPE=MyISAM;
CREATE TABLE andutteye_syslogmessages (
  seqnr int(11) NOT NULL auto_increment,
  getdate varchar(255) default NULL,
  gettime varchar(255) default NULL,
  hostname varchar(255) default NULL,
  hostnametranslate varchar(255) default NULL,
  port varchar(255) default NULL,
  message varchar(255) default NULL,
  PRIMARY KEY  (seqnr)
) TYPE=MyISAM;
CREATE TABLE andutteye_users (
  seqnr int(11) NOT NULL auto_increment,
  username varchar(255) default NULL,
  password varchar(255) default NULL,
  description varchar(255) default NULL,
  theme varchar(255) default NULL,
  isadmin varchar(255) default NULL,
  ldloggedin varchar(255) default NULL,
  ltloggedin varchar(255) default NULL,
  nrloggedin varchar(255) default NULL,
  hasrole varchar(255) default NULL,
  PRIMARY KEY  (seqnr)
) TYPE=MyISAM;
CREATE TABLE andutteye_webbconfig (
  seqnr int(11) NOT NULL auto_increment,
  configname varchar(255) default NULL,
  configparam varchar(255) default NULL,
  PRIMARY KEY  (seqnr)
) TYPE=MyISAM;
CREATE TABLE andutteye_chg_changes (
  seqnr int(11) NOT NULL auto_increment,
  hostname varchar(255) default NULL,
  description varchar(255) default NULL,
  information blob default NULL,
  solution blob default NULL,
  workaround blob default NULL,
  severity varchar(255) default NULL,
  externalsys blob default NULL,
  alarmid varchar(255) default NULL,
  username varchar(255) default NULL,
  crtdte varchar(255) default NULL,
  crttme varchar(255) default NULL,
  PRIMARY KEY  (seqnr)
) TYPE=MyISAM;
CREATE TABLE andutteye_role_permissions (
  seqnr int(11) NOT NULL auto_increment,
  hostname varchar(255) default NULL,
  actiontype varchar(255) default NULL,
  aepackage blob default NULL,
  aeversion varchar(255) default NULL,
  aerelease varchar(255) default NULL,
  distribution varchar(255) default NULL,
  packagetype varchar(255) default NULL,
  patchlevel varchar(255) default NULL,
  rolename varchar(255) default NULL,
  status varchar(255) default NULL,
  filename blob default NULL,
  directory blob default NULL,
  location blob default NULL,
  content blob default NULL,
  group1 varchar(255) default NULL,
  group2 varchar(255) default NULL,
  group3 varchar(255) default NULL,
  group4 varchar(255) default NULL,
  dte varchar(255) default NULL,
  tme varchar(255) default NULL,
  PRIMARY KEY  (seqnr)
) TYPE=MyISAM;
CREATE TABLE andutteye_license (
  seqnr int(11) NOT NULL auto_increment,
  customercompany varchar(255) default NULL,
  nrlicenses numeric(10) default NULL,
  expiredate varchar(255) default NULL,
  licensekey varchar(255) default NULL,
  PRIMARY KEY  (seqnr)
) TYPE=MyISAM;
insert into andutteye_license(customercompany,nrlicenses,expiredate,licensekey) values ('MycompanyAB','2','2007-12-12','cx1122efss');
insert into andutteye_webbconfig(configname,configparam) values ('BESTUPTIMEMAX','360');
insert into andutteye_webbconfig(configname,configparam) values ('HOSTSTATISTICMAX','50');
insert into andutteye_webbconfig(configname,configparam) values ('SERVERLOGMAX','34');
insert into andutteye_webbconfig(configname,configparam) values ('SHOWALARMINTERVAL','60');
insert into andutteye_webbconfig(configname,configparam) values ('STATSRECALCULATION','KB');
insert into andutteye_webbconfig(configname,configparam) values ('AELANGUAGE','english');
insert into andutteye_webbconfig(configname,configparam) values ('EXTLOGS','NO');
insert into andutteye_webbconfig(configname,configparam) values ('BANLIST','');
insert into andutteye_webbconfig(configname,configparam) values ('ALLOWGUESTVIEW','YES');
insert into andutteye_webbconfig(configname,configparam) values ('HIDENOTWRITEBLE','NO');
insert into andutteye_webbconfig(configname,configparam) values ('SHOWMONITORING','YES');
insert into andutteye_webbconfig(configname,configparam) values ('SHOWMANAGEMENT','YES');
insert into andutteye_webbconfig(configname,configparam) values ('SHOWCHANGEEVENT','YES');
